Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 244161 - Better ImageableArea default when no margins information available
Summary: Better ImageableArea default when no margins information available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: foomatic
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-06-14 08:57 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 3.0.2-47.1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-03 16:23:12 UTC


Attachments (Terms of Use)
foomatic-margins.patch (deleted)
2007-06-14 10:44 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2007-06-14 08:57:25 UTC
Description of problem:
The PPDs foomatic creates for printers where no margin information is known are
too optimistic with their ImageableArea settings.  They should use conservative
guesses (say, ½" border all round) in that case.

Version-Release number of selected component (if applicable):
foomatic-3.0.2-47.fc7

How reproducible:
100%

Steps to Reproduce:
1. foomatic-ppdfile -p Epson-Stylus_D68 -d gutenprint-ijs.5.0 | grep ImageableArea
  
Actual results:
0-margins

Expected results:
36-margins, for example

Comment 1 Tim Waugh 2007-06-14 10:44:10 UTC
Created attachment 156978 [details]
foomatic-margins.patch

Untested patch.

Comment 2 Tim Waugh 2007-06-14 11:59:18 UTC
Fixed in CVS (trunk).

Comment 3 Fedora Update System 2007-06-14 15:46:02 UTC
foomatic-3.0.2-47.1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2007-07-03 16:23:03 UTC
foomatic-3.0.2-47.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Till Kamppeter 2007-08-21 19:07:12 UTC
I have fixed this upstream now in the foomatic-db-engine package (BZR
repositories). Now the default margins are 12/inch at top and bottom and 1/4
inch at the left and right.



Note You need to log in before you can comment on or make changes to this bug.